import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { MeasureHandlerComponent } from './components';
import { SightLineComponent } from './components/sight-line/sight-line.component';

@NgModule({
  declarations: [
    AppComponent,
    MeasureHandlerComponent,
    SightLineComponent,
  ],
  imports: [
    BrowserModule
  ],
  providers: [
  ],
  bootstrap: [AppComponent]
})
export class AppModule {
}
