import { Component, OnInit } from '@angular/core';
import { ViewerService } from 'src/app/services';

@Component({
  selector: 'app-measure-handler',
  templateUrl: './measure-handler.component.html',
  styleUrls: ['./measure-handler.component.css']
})
export class MeasureHandlerComponent implements OnInit {

  public handleMeasure: (measureMode: number, options?: {
    isGround: boolean;
    showLabel: boolean;
  }) => any;
  public measureMode = smart3d.MeasureMode;

  constructor(
    private viewerService: ViewerService,
  ) {
  }
  ngOnInit(): void {
    this.handleMeasure = this.viewerService.handleMeasure;
  }
}
